.m-form-group {
  margin-bottom: 1rem;

  &.-last {
    margin-bottom: unset;
  }

  &.-inline {
    display: flex;
    flex-wrap: wrap;
    margin-bottom: 0.5rem;
  }

  &__label {
    margin-bottom: 0.5rem;
    font-size: 1rem;
    display: block;
    font-weight: 500;

    p {
      margin-bottom: 0.1rem;
    }

    &__subtext {
      font-weight: normal;
      font-size: 0.8rem;
    }

    &.-inline {
      display: inline-block;
      margin-bottom: unset;

      p {
        display: inherit;
      }
    }
  }

  &__messages {
    list-style: none;
    padding: 0;
    margin: 0;
    font-size: 0.9rem;
    flex: 1 0 auto;
    width: 100%;
  }

  &__message {
    display: flex;
    align-items: center;
    margin-top: 0.25rem;

    mat-icon {
      transform: scale(0.8);
    }

    span {
      height: 1.5rem;
      margin-right: 0.15rem;
    }

    &.-error {
      color: (var(--functional-red));
    }
  }
}
